> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay Invoices Bulk

> Replay invoices in bulk in batches of 50. Accepts either invoice_source_qids or invoice_qids (not both).



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/invoices/replay_invoices_bulk
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/invoices/replay_invoices_bulk:
    post:
      tags:
        - invoice_admin
        - quanta-services-api
      summary: Replay Invoices Bulk
      description: >-
        Replay invoices in bulk in batches of 50. Accepts either
        invoice_source_qids or invoice_qids (not both).
      operationId: replay_invoices_bulk
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReplayInvoicesBulkRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReplayInvoicesBulkResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReplayInvoicesBulkRequest:
      properties:
        invoice_source_qids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Invoice Source Qids
        invoice_qids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Invoice Qids
        wait_for_completion:
          type: boolean
          title: Wait For Completion
          default: false
      type: object
      title: ReplayInvoicesBulkRequest
    ReplayInvoicesBulkResponse:
      properties:
        success:
          type: boolean
          title: Success
        replayed_invoice_source_qids:
          items:
            type: string
          type: array
          title: Replayed Invoice Source Qids
        failed:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Failed
      type: object
      required:
        - success
        - replayed_invoice_source_qids
        - failed
      title: ReplayInvoicesBulkResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.